Kerbal Space Program - Bug #5243

Contract - Synchronous vs Retrograde.
07/16/2015 04:19 PM - zhollett

Status: Closed Start date: 07/16/2015
Severity: Low % Done: 100%
Assignee:
Category:
Target version:
Version: 1.0.2 Language: English (US)
Platform: Any Mod Related: No

Expansion:

Description
Description: Contract is using an inaccurate term for orbit requested.

Here is the contract:
We need you to build a satellite to our specifications and place it in synchronous orbit around Minmus.

The contract actually asks for the satellite to orbit minmus in an anti-minmus rotation direction. (Minmus rotates anti-clockwise, and
the orbit requested in the contract is for a clockwise rotation)

That would make it a retrograde orbit, not a synchronous one.
History

#1 - 07/23/2015 10:05 PM - Alchemist

- Status changed from New to Need More Info

Synchronous orbit means only the same period (and semi-synchronous means half the period) as the body's rotation, but doesn't imply the inclination.
So it can be not only equatorial (synchronous equatorial circular orbit = stationary), but also inclined (Tundra orbit is also synchronous) and even polar
or retrograde. So technically it's not a bug.

On the other hand, for retrograde orbits value of them being synchronous would be lowered, therefore it might be an wise option to not ask explicitly
for synchronous orbits with inclination more than 90 degrees. Yet, this is not so critical.

#2 - 07/23/2015 10:07 PM - Alchemist

Sorry for switching to "need more info" - the bug tracker refused to submit the comment without changing the status.
A bug in the bug tracker ;)

#3 - 07/24/2015 11:51 PM - Squelch
Alchemist wrote:

Sorry for switching to "need more info" - the bug tracker refused to submit the comment without changing the status.
A bug in the bug tracker ;)

It is an appropriate setting, and this issue could be deemed subjective.

A synchronous orbit will have the same rotational period as the body it is orbiting. At zero inclination this could be called a geosynchronous orbit. At
higher inclinations, it is still synchronous if the orbital period is the same as the rotational period.

It really depends on the frame of reference. Viewed from the body, a satellite in geosynchronous orbit will appear stationary. An inclined orbit will
appear to move north and south during the rotation. Viewed from another body, the satellite will be seen to pass around the body with the same
period as the rotation.

Things get interesting when inclinations above 90 degrees happen. The satellite is still orbiting with the same period, but retrograde. It is still
synchronous when viewed from another body. At 180 degrees inclination, the satellite will be seen twice per rotation when viewed from the body, but
at the same place at the same relative angle of rotation. From afar, the satellite will still only be seen once per rotation. This could be more correctly
called anti-synchronous, but it is still synchronous to the body's rotation.
I'm tempted to call this issue feedback, and the contract system could potentially be worded differently for retrograde orbits. Technically, it is correct
but slightly ambiguously worded. The orbital parameters are very specific and are unambiguous. As ever, the devil is in the detail when it comes to
contracts of any kind.

#4 - 07/25/2015 09:50 PM - Kasuha

Technically, it is correct

As per Federal Standard 1037C (http://www.its.bldrdoc.gov/fs-1037/fs-1037c.htm), Synchronous Orbit (
http://www.its.bldrdoc.gov/fs-1037/dir-035/_5246.htm) is only considered for prograde direction.

Probable reason is that the fundamental attribute of all synchronous orbits is maintaining constant or near constant visibility of certain point on Earth
surface. There is no way to set up a retrograde orbit that way.

#5 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#6 - 08/14/2016 07:32 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here

-tracker/ and tag @TriggerAu to get my attention
